aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/ci/docker/yardstick-ci/Dockerfile1
-rwxr-xr-xtests/ci/yardstick-verify51
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc004.yaml85
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc052.yaml79
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml27
-rw-r--r--tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml8
6 files changed, 163 insertions, 88 deletions
diff --git a/tests/ci/docker/yardstick-ci/Dockerfile b/tests/ci/docker/yardstick-ci/Dockerfile
index cc23073d2..2d59fd69e 100644
--- a/tests/ci/docker/yardstick-ci/Dockerfile
+++ b/tests/ci/docker/yardstick-ci/Dockerfile
@@ -48,5 +48,6 @@ RUN cd ${YARDSTICK_REPO_DIR} && pip install -r tests/ci/requirements.txt
RUN cd ${YARDSTICK_REPO_DIR} && pip install .
ADD http://download.cirros-cloud.net/0.3.3/cirros-0.3.3-x86_64-disk.img /home/opnfv/images/
+ADD http://cloud-images.ubuntu.com/trusty/current/trusty-server-cloudimg-amd64-disk1.img /home/opnfv/images/
COPY ./exec_tests.sh /usr/local/bin/
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index c83193574..0e234f54d 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -80,7 +80,7 @@ cleanup()
return
fi
- for image in $(glance image-list | grep -e cirros-0.3.3 -e yardstick-trusty-server | awk '{print $2}'); do
+ for image in $(glance image-list | grep -e cirros-0.3.3 -e yardstick-trusty-server -e Ubuntu-14.04 | awk '{print $2}'); do
echo "Deleting image $image..."
glance image-delete $image || true
done
@@ -121,6 +121,20 @@ install_yardstick()
pip install .
}
+install_storperf()
+{
+ # Install Storper on huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
+ echo
+ echo "========== Installing storperf =========="
+
+ if ! yardstick plugin install plugin/CI/storperf.yaml; then
+ echo "Install storperf plugin FAILED";
+ exit 1
+ fi
+ fi
+}
+
build_yardstick_image()
{
echo
@@ -174,6 +188,30 @@ load_cirros_image()
echo "Cirros image id: $CIRROS_IMAGE_ID"
}
+load_ubuntu_image()
+{
+ echo
+ echo "========== Loading ubuntu cloud image =========="
+
+ local ubuntu_image_file=/home/opnfv/images/trusty-server-cloudimg-amd64-disk1.img
+
+ output=$(glance image-create \
+ --name Ubuntu-14.04 \
+ --disk-format qcow2 \
+ --container-format bare \
+ --file $ubuntu_image_file)
+ echo "$output"
+
+ UBUNTU_IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
+
+ if [ -z "$UBUNTU_IMAGE_ID" ]; then
+ echo 'Failed uploading UBUNTU image to cloud'.
+ exit 1
+ fi
+
+ echo "Ubuntu image id: $UBUNTU_IMAGE_ID"
+}
+
load_yardstick_image()
{
echo
@@ -255,13 +293,18 @@ EOF
done
- if [ $failed -gt 0 ]; then
+ local sceanrio_status="success"
+ if [ $failed -gt 0 ]; then
+ scenario_status="failed"
echo "---------------------------"
echo "$failed out of ${SUITE_FILES[*]} test suites FAILED"
echo "---------------------------"
exit 1
- fi
+ fi
+ curl -i -H 'content-type: application/json' -X POST -d \
+ '{\"details\":{\"${DEPLOY_SCENARIO}\":\"${sceanrio_status}\"}}' \
+ http://${DISPATCHER_HTTP_TARGET}:3570
else
@@ -361,8 +404,10 @@ main()
build_yardstick_image
load_yardstick_image
load_cirros_image
+ load_ubuntu_image
create_nova_flavor
+ install_storperf
run_test
}
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc004.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc004.yaml
deleted file mode 100644
index 2d10e4073..000000000
--- a/tests/opnfv/test_cases/opnfv_yardstick_tc004.yaml
+++ /dev/null
@@ -1,85 +0,0 @@
----
-# Yardstick TC004 config file
-# Measure cache hit/miss ratio and usage, network throughput and latency.
-# Different amounts of flows are tested with, from 2 up to 1001000.
-# All tests are run 2 times each. First 2 times with the least
-# amount of ports, then 2 times with the next amount of ports,
-# and so on until all packet sizes have been run with.
-#
-# During the measurements cache hit/miss ration, cache usage statistics and
-# network latency are recorded/measured using cachestat and ping, respectively.
-
-schema: "yardstick:task:0.1"
-
-scenarios:
--
- type: CACHEstat
- run_in_background: true
-
- options:
- interval: 1
-
- host: demeter.yardstick
--
- type: CACHEstat
- run_in_background: true
-
- options:
- interval: 1
-
- host: poseidon.yardstick
--
- type: Ping
- run_in_background: true
-
- options:
- packetsize: 100
-
- host: demeter.yardstick
- target: poseidon.yardstick
-
- sla:
- max_rtt: 10
- action: monitor
-{% for num_ports in [1, 10, 50, 100, 300, 500, 750, 1000] %}
--
- type: Pktgen
- options:
- packetsize: 64
- number_of_ports: {{num_ports}}
- duration: 20
-
- host: demeter.yardstick
- target: poseidon.yardstick
-
- runner:
- type: Iteration
- iterations: 2
- interval: 1
-
- sla:
- max_ppm: 1000
- action: monitor
-{% endfor %}
-
-context:
- name: yardstick
- image: yardstick-trusty-server
- flavor: yardstick-flavor
- user: ubuntu
-
- placement_groups:
- pgrp1:
- policy: "availability"
-
- servers:
- demeter:
- floating_ip: true
- placement: "pgrp1"
- poseidon:
- floating_ip: true
- placement: "pgrp1"
-
- networks:
- test:
- cidr: '10.0.1.0/24'
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc052.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc052.yaml
new file mode 100644
index 000000000..714306881
--- /dev/null
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc052.yaml
@@ -0,0 +1,79 @@
+---
+# Test case for TC052 :OpenStack Controller Node Disk I/O Block High Availability
+# This test case is written by new scenario-based HA testing framework
+
+schema: "yardstick:task:0.1"
+scenarios:
+ -
+ type: "GeneralHA"
+ options:
+ attackers:
+ -
+ fault_type: "general-attacker"
+ host: node1
+ key: "block-io"
+ attack_key: "block-io"
+
+ monitors:
+ -
+ monitor_type: "openstack-cmd"
+ key: "nova-flavor-list"
+ command_name: "nova flavor-list"
+ monitor_time: 10
+ sla:
+ max_outage_time: 5
+
+ operations:
+ -
+ operation_type: "general-operation"
+ key: "create-flavor"
+ operation_key: "nova-create-flavor"
+ host: node1
+ action_parameter:
+ flavorconfig: "test-001 test-001 100 1 1"
+ rollback_parameter:
+ flavorid: "test-001"
+
+ resultCheckers:
+ -
+ checker_type: "general-result-checker"
+ key: "check-flavor"
+ host: node1
+ checker_key: "nova-flavor-checker"
+ expectedValue: "test-001"
+ condition: "in"
+
+ steps:
+ -
+ actionKey: "block-io"
+ actionType: "attacker"
+ index: 1
+
+ -
+ actionKey: "nova-flavor-list"
+ actionType: "monitor"
+ index: 2
+
+ -
+ actionKey: "create-flavor"
+ actionType: "operation"
+ index: 3
+
+ -
+ actionKey: "check-flavor"
+ actionType: "resultchecker"
+ index: 4
+
+ nodes:
+ node1: node1.LF
+ runner:
+ type: Duration
+ duration: 1
+ sla:
+ outage_time: 5
+ action: monitor
+
+context:
+ type: Node
+ name: LF
+ file: etc/yardstick/nodes/fuel_virtual/pod.yaml
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
new file mode 100644
index 000000000..d506ccc1e
--- /dev/null
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc074.yaml
@@ -0,0 +1,27 @@
+---
+# Test case for TC074 StorPerf benchmark task config file
+# StorPerf is a tool to measure block and object storage performance in an NFVI
+
+schema: "yardstick:task:0.1"
+{% set public_network = public_network or "ext-net" %}
+{% set StorPerf_ip = StorPerf_ip or "192.168.200.2" %}
+scenarios:
+-
+ type: StorPerf
+ options:
+ agent_count: 1
+ agent_image: "Ubuntu-14.04"
+ public_network: {{public_network}}
+ volume_size: 4
+ block_sizes: "4096"
+ queue_depths: "4"
+ StorPerf_ip: {{StorPerf_ip}}
+ query_interval: 10
+ timeout: 300
+
+ runner:
+ type: Iteration
+ iterations: 1
+
+context:
+ type: Dummy
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
index a8ab42849..3c2ff556a 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
@@ -71,3 +71,11 @@ test_cases:
file_name: opnfv_yardstick_tc071.yaml
-
file_name: opnfv_yardstick_tc072.yaml
+-
+ file_name: opnfv_yardstick_tc074.yaml
+ constraint:
+ installer: compass
+ pod: huawei-pod1
+ task_args:
+ huawei-pod1: '{"public_network": "ext-net",
+ "StorPerf_ip": "192.168.200.2"}'